aboutsummaryrefslogtreecommitdiffstats
path: root/testing/i2c-tools/APKBUILD
diff options
context:
space:
mode:
authorLeonardo Arena <rnalrd@alpinelinux.org>2015-08-10 12:22:18 +0000
committerLeonardo Arena <rnalrd@alpinelinux.org>2015-08-10 12:23:27 +0000
commit89a2f77a24ca34407fa58c3f98b155079573f072 (patch)
treea62b34af526426471a76b173fd3f5a69025fe7f4 /testing/i2c-tools/APKBUILD
parent485fa762cd2524af2f2179cae1f7784fa5921b5d (diff)
downloadaports-89a2f77a24ca34407fa58c3f98b155079573f072.tar.gz
aports-89a2f77a24ca34407fa58c3f98b155079573f072.tar.bz2
aports-89a2f77a24ca34407fa58c3f98b155079573f072.tar.xz
testing/i2c-tools: new aport
Tools for monitoring I2C devices. Fixes #4519
Diffstat (limited to 'testing/i2c-tools/APKBUILD')
-rw-r--r--testing/i2c-tools/APKBUILD41
1 files changed, 41 insertions, 0 deletions
diff --git a/testing/i2c-tools/APKBUILD b/testing/i2c-tools/APKBUILD
new file mode 100644
index 0000000000..0856d60f61
--- /dev/null
+++ b/testing/i2c-tools/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Leonardo Arena <rnalrd@alpinelinux.org>
+pkgname=i2c-tools
+pkgver=3.1.2
+pkgrel=0
+pkgdesc="Tools for monitoring I2C devices"
+url="http://www.lm-sensors.org/wiki/I2CTools"
+arch="all"
+license="GPL2"
+depends=
+depends_dev=
+makedepends="$depends_dev"
+install=
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://dl.lm-sensors.org/i2c-tools/releases/$pkgname-$pkgver.tar.bz2"
+
+
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+ cd "$_builddir"
+ sed -i "s|^DESTDIR.*|DESTDIR = \"$pkgdir\"|" Makefile || return 1
+ sed -i "s|^prefix.*|prefix = /usr|" Makefile || return 1
+}
+
+build() {
+ cd "$_builddir"
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make install
+
+ # remove the 2 lines below (and this) if there is no init.d script
+ # install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
+ # install -m644 -D "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
+}
+
+md5sums="7104a1043d11a5e2c7b131614eb1b962 i2c-tools-3.1.2.tar.bz2"
+sha256sums="db5e69f2e2a6e3aa2ecdfe6a5f490b149c504468770f58921c8c5b8a7860a441 i2c-tools-3.1.2.tar.bz2"
+sha512sums="d54496939036ace41b73470d515c50c89d89bed4e9cc89cd72b21ca381756131dcfbeb8bd7299e66eaa6f1d63a82da3065edd3407f6c3f23d5f589686488ea40 i2c-tools-3.1.2.tar.bz2"